sensors::StateSensor_4_0_3::State Struct Reference

Sensor state. More...

`import"StateSensor.idl";`

## Public Attributes

time | timestamp
| Timestamp of last sample.
boolean | available
| `true` if the sensor is available
int | value
| Discrete sensor value; intrepretation depends on the type of sensor.

## Detailed Description

Sensor state.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/StateSensor.idl